Bug 1303334 - Help button is functionally dead during Rawhide Live DVD anaconda installation
Summary: Help button is functionally dead during Rawhide Live DVD anaconda installation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8dc3fb0d022ad0372ba04f33105...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-31 00:41 UTC by Noel McLoughlin
Modified: 2017-08-08 12:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1303332
: 1303335 (view as bug list)
Environment:
Hypervisor process for VM: <posixuser> 3809 1 43 22:43 ? 00:13:16 qemu-system-x86_64 -enable-kvm -name f24rawhide -S -machine pc-i440fx-trusty,accel=kvm,usb=off -bios OVMF.fd -m 1024 -smp 1,sockets=1,cores=1,threads=1 -uuid 559e3934-ff4e-b613-4d9d-5029d57ab943 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/f24rawhide.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -boot c -usb -drive file=/var/lib/libvirt/images/f24rawhide.img,if=none,id=drive-virtio-disk0,format=raw -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0 -drive file=/home/enoemcl/workspace/ISO/Fedora-Live-Workstation-x86_64-rawhide-20160129.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=25,id=hostnet0,vhost=on,vhostfd=26 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:c8:f1:fe,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -device usb-tablet,id=input0 -vnc 127.0.0.1:1 -vga qxl -global qxl.ram_size=67108864 -global qxl.vram_size=67108864 -device AC97,id=sound0,bus=pci.0,addr=0x4 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
Last Closed: 2017-08-08 12:43:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 753443 0 None None None 2016-02-12 17:59:29 UTC

Description Noel McLoughlin 2016-01-31 00:41:03 UTC
+++ This bug was cloned from of Bug #1303332 +++

Description of problem:

1. Launch Rawhide Live DVD installer
2. Choose Install to Disk
3. During Anaconda installation process click on [Help] at any time

No help is ever observed and [Help!] button is dead and superfluous during entire Fedora Live DVD installation process.

Version-Release number of selected component:
anaconda-core-24.9-1.fc24.x86_64

Comment 1 Noel McLoughlin 2016-01-31 15:11:32 UTC
Observed with VM (qemu/kvm) with minimal RAM (1 GiB); increasing RAM to 1500MiB provides a more responsive experience.

Now clicking the [Help!] button opens a help window with following text:

           Unknown Error

           URL cannot be shown

Baseline is anaconda-core 24.10-1, 
Fedora-Live-Workstation-x86_64-rawhide-20160131.iso

Comment 2 Noel McLoughlin 2016-01-31 22:50:55 UTC
Tested with 2GiB RAM allocated to VM but behaviour is not improved. You need to click [Help!] a few times and a help window may appear.

Comment 3 Martin Kolman 2016-02-12 17:30:57 UTC
This is a regression in yelp, introduced in the 3.18 series - it fails at opening paths to files provided from the command line, which is what Anaconda (and probably other software) use to present help content to users with yelp.

For F23 this has been tracked as bug 1276226 and "fixed" by downgrading yelp to the 3.17, which is why yelp works in the F23 installer & system. But on Rawhide (and thus for F24 in the future) the regression has still not been fixed.

A simple way to check:

echo "Hello world!" > test.txt
yelp test.txt

This works correctly on F23 (shows "Hello world!" in the yelp window) but is broken on Rawhide (shows "URL cannot be shown").

Comment 4 Martin Kolman 2016-02-12 17:59:29 UTC
Looks the fix is being worked on:
https://bugzilla.gnome.org/show_bug.cgi?id=753443

Comment 5 Jan Kurik 2016-02-24 14:22:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora Admin XMLRPC Client 2017-06-14 12:14:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora End Of Life 2017-07-25 19:52:20 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 12:43:28 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.